New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

docker-ce package for Fedora 28 #295

Closed
mvandewouw opened this Issue May 2, 2018 · 7 comments

Comments

Projects
None yet
7 participants
@mvandewouw
Copy link

mvandewouw commented May 2, 2018

  • This is a bug report
  • This is a feature request
  • I searched existing issues before opening this one

Please provide the rpm's for fedora 28
https://download.docker.com/linux/fedora/28/x86_64/stable/Packages/

@seemethere

This comment has been minimized.

Copy link
Member

seemethere commented May 2, 2018

Packages are available right now for Fedora 28 in the test channel and will be released to the edge channel with the release of 18.05.0-ce which is sometime next week.

To get packages right now for install you can use the easy installation script like so:

curl -fsSL test.docker.com | sh

As referenced in #290 the next stable release of Docker CE is slated to be 18.06.0-ce which should release sometime in the first couple of weeks of June and should include Fedora 28.

Until the release of 18.06.0-ce feel free to use the edge channel to receive your packages, it's what I personally use for all of my personal infrastructure.

@favadi

This comment has been minimized.

Copy link

favadi commented May 17, 2018

Docker has a very weird packaging policy that they won't rebuild stable release of docker for new distribution version. So if you are unlucky, it might be months until latest stable docker is available for your distro of choice.

@comjf

This comment has been minimized.

Copy link

comjf commented Jun 8, 2018

This issue bothers me as well. I don't like being forced to use test or edge when the exact same source in F27 works (building from source proves that point, or even downgrading to the F27 repo). It appears that the docker packaging team simply doesn't want to make a new repo for F28. Maybe they use a security checklist or some lengthy review process as a justification. I simply think that not enough fedora developers complain about this. This def plagued F27 as well. IIRC it was ~6 months until it was fixed.

Squeaky wheel gets the grease. Imagine if OSX had a new version released. I doubt there would be a month of unsupported or undocumented installation instructions.

@focom

This comment has been minimized.

Copy link

focom commented Jun 8, 2018

Yeah it definitely sucks, I moved to fedora as the easiest path to docker.
Lucky to still have my f27 package installed

@FireFart

This comment has been minimized.

Copy link

FireFart commented Jun 13, 2018

This happens on every fedora upgrade (sadly). My alltime fix for this:

sudo vim /etc/yum.repos.d/docker-ce.temp.repo

And add (and maybe replace 27 with the latest supported distro):

[docker-ce-stable-temp]
name=Docker CE Stable Temp - $basearch
baseurl=https://download.docker.com/linux/fedora/27/$basearch/stable
enabled=1
gpgcheck=1
gpgkey=https://download.docker.com/linux/fedora/gpg
@seemethere

This comment has been minimized.

Copy link
Member

seemethere commented Jun 21, 2018

We've gotten clearance to release 18.03.1-ce for Fedora 28!

To install you can now use:

$ curl -fsSL get.docker.com | CHANNEL=stable sh

Thank you everyone for your patience!

@IhorVen

This comment has been minimized.

Copy link

IhorVen commented Jul 2, 2018

I have the same problem ( on Fedora 28
Failed to synchronize cache for repo 'docker-ce-stable', disabling.
Failed to synchronize cache for repo 'docker-ce-edge', disabling.
Failed to synchronize cache for repo 'docker-ce-test', disabling.
Last metadata expiration check: 3:25:09 ago on Mon 02 Jul 2018 11:54:01 AM EEST.
No match for argument: docker-ce
Error: Unable to find a match

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment